.hdd-container {
  width: 100%;
  max-width: 1500px;
  margin: 0 auto 2rem;
}

.hdd-container *,
.hdd-container *::before,
.hdd-container *::after {
  box-sizing: border-box;
}

.hdd-container img {
  width: 100%;
  display: block;
}
.hdd-container p {
  font-size: 22px !important;
  line-height: 1.45;
}

.hdd-container h2.hdd-h2 {
  font-size: 4.5rem !important;
  font-weight: 900 !important;
  margin: 0 auto !important;
  display: inline-block !important;
  color: #ffffff;
  text-align: center;
  padding: 2rem;
  background: linear-gradient(to right, #0000ff, #ff0000);
  width: 100%;
}
.hdd-container h3.hdd-h3 {
  font-size: 1.5rem !important;
  font-weight: 900 !important;
  margin: 0 auto !important;
  display: inline-block !important;
  color: #000000;
  text-align: center;
  padding: 0 0 2rem;
  text-transform: uppercase;

  width: 100%;
}

/* BUTTONS */
.hdd-button {
  text-align: center;
  overflow: hidden;
  margin-right: 20px;
}
.hdd-button:nth-of-type(3) {
  margin-right: 0px;
}

.hdd-button a {
  text-align: center;
  text-decoration: none;
  padding: 1rem 3rem;
  display: inline-block;
  color: #ffffff !important;
  background-color: #de0039 !important;
  position: relative;
  border-radius: 0px;
  overflow: hidden;
  font-weight: 700 !important;
  font-size: 1.75rem !important;
  transition: transform 500ms ease;
}
.hdd-button:nth-of-type(even) a {
  background-color: blue !important;
  transition: transform 500ms ease;
}

/* BUTTON HOVERS */
.hdd-button a:hover,
.hdd-button a:focus,
.hdd-button a:active {
  color: #ffffff !important;

  transform: scale(0.99);
}
.hdd-button-row {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto 3rem;
}
/* END BUTTONS */

img.hdd-hero-desktop {
  display: block;
}
img.hdd-hero-mobile {
  display: none;
}
.hdd-iframe-container {
  width: 80%;
  text-align: center;
  margin: 0 auto 2rem;
  position: relative;
  border-radius: 22px;
  overflow: hidden;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.3);
  height: 500px;
}
.hdd-iframe-container iframe {
  height: 500px;
}

.hdd-para {
  padding: 2rem 4rem 3rem;
  text-align: center;
}
.hdd-para p span,
p.hdd-para span {
  font-weight: 700;
}
.hdd-exterior-locations {
  margin: 0 0 2rem;
}
.hdd-exterior-image-grid {
  display: flex;
  flex-direction: column;
  gap: 15px;
  margin: 0 0 15px 0;
}
.hdd-exterior-image-lower-grid {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
  overflow: hidden;
}
.hdd-exterior-image-lower-grid > * {
  width: 50% !important;
}

.hdd-center {
  text-align: center;
}
.hdd-narrow {
  width: 75%;
  margin: 0 auto;
}
.hdd-bg-color {
  background-color: #f7f7f7;
}
.hdd-gallery-grid {
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  align-items: stretch;
  gap: 15px;
  margin: 2rem 0 2rem;
  position: relative;
}
.hdd-gallery-grid img:nth-of-type(1),
.hdd-gallery-grid img:nth-of-type(2),
.hdd-gallery-grid img:nth-of-type(3) {
  grid-column: span 4;
}
.hdd-gallery-grid img:nth-of-type(4) {
  grid-column: span 6;
}
.hdd-gallery-grid img:nth-of-type(5),
.hdd-gallery-grid img:nth-of-type(6) {
  grid-column: span 3;
}
.hdd-gallery-grid img:nth-of-type(7),
.hdd-gallery-grid img:nth-of-type(8),
.hdd-gallery-grid img:nth-of-type(9),
.hdd-gallery-grid img:nth-of-type(10) {
  grid-column: span 3;
}
/* MODAL */
.hdd-modal {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  top: 0;
  left: 0;
  opacity: 0;
  transition: all 500ms ease;
  z-index: -5;
}
#close {
  cursor: pointer;
}
.hdd-image-pop {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  height: auto;
  width: 55%;
  border-radius: 0.4rem;
  border: 2px solid #d3d3d3;
  overflow: hidden;
  box-shadow: 0 0 40px 5px #242f41;
}
.hdd-pop-header {
  display: flex;
  justify-content: space-between;
  position: absolute;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.3);
  color: #ffffff;
  padding: 1rem;
  box-sizing: border-box;
  top: 0;
  left: 0;
}
.hdd-pop-header h4 {
  padding: 0;
  margin: 0;
  color: #ffffff !important;
  font-size: 24px !important;
}
#caption {
  position: absolute;
  width: 100%;
  padding: 1rem;
  bottom: 49px;
  left: 0;
  color: #ffffff;
  background-color: rgba(0, 0, 0, 0.3);
  text-shadow: 1px 1px 5px rgba(0, 0, 0, 0.2);
  box-sizing: border-box;
  font-size: 14px;
}
.hdd-pop-footer {
  background-color: rgba(195, 195, 195, 1);
  color: rgba(79, 79, 79, 1);
  text-align: center;
  border-top: 0.04rem solid #ffffff;
}
.hdd-pop-footer p {
  margin: 0;
  padding: 0.5rem;
  font-size: 14px;
}
.hdd-image-pop img {
  width: 100%;
  display: block;
}

@media (max-width: 1000px) {
  .hdd-narrow {
    width: 100%;
  }
}

@media (max-width: 900px) {
  .hdd-container h2.hdd-h2 {
    font-size: 3.5rem !important;
  }
  .hdd-para {
    padding: 1rem 3rem 2rem;
  }

  img.hdd-hero-desktop {
    display: none;
  }
  img.hdd-hero-mobile {
    display: block;
  }
  .hdd-button {
    margin-right: 0px;
    margin-bottom: 20px;
    width: 100%;
  }
  .hdd-button a {
    display: block;
    width: 100%;
  }
  .hdd-button-row {
    flex-direction: column;
  }
  .hdd-iframe-container {
    width: 100%;
  }
  .hdd-iframe-container iframe {
    height: 500px;
  }
}
@media (max-width: 650px) {
  .hdd-container p {
    line-height: 1.35 !important;
    font-size: 18px !important;
  }

  .hdd-container h2.hdd-h2 {
    font-size: 3.5rem !important;
    margin: 0 !important;
    position: relative;
    display: inline-block !important;
  }
}

@media (max-width: 550px) {
  .hdd-para {
    padding: 1rem !important;
  }
  .hdd-gallery-grid,
  .hdd-exterior-image-lower-grid,
  .hdd-exterior-image-grid {
    gap: 8px;
  }
}
